package com.spicysoft.android.framwork;

import java.util.ArrayList;
import java.util.List;

public abstract class Scenes
{
  private final List<Scene> scenes;

  protected Scenes() {
    scenes = new ArrayList<Scene>();
    appendAll(scenes);
  }

  public abstract Scene bootScene();

  protected abstract void appendAll(List<Scene> container);

  public Iterable<Scene> scenes() {
    return scenes;
  }
}
